Перевод в комментах, кому надо / it-юмор :: windows :: linux :: Nordic Gamer (Yes Chad) :: Wojak (Вояк) :: операционная система :: mac :: Мемы (Мемосы, мемасы, мемосики, мемесы) :: geek (Прикольные гаджеты. Научный, инженерный и айтишный юмор)

Wojak Мемы Nordic Gamer mac windows операционная система linux it-юмор geek 

Перевод в комментах, кому надо

Mac os: Can you install this 5 year old program? Nooooo, i can't! this program is too old! Windows: Can you install this Yes, i can! 25 year old program? Installing... done! Linux can you install this 25 year old program it's already installed,Wojak,Вояк,Мемы,Мемосы, мемасы, мемосики,
Подробнее
Mac os: Can you install this 5 year old program? Nooooo, i can't! this program is too old! Windows: Can you install this Yes, i can! 25 year old program? Installing... done! Linux can you install this 25 year old program it's already installed
Wojak,Вояк,Мемы,Мемосы, мемасы, мемосики, мемесы,Nordic Gamer,Yes Chad,mac,windows,операционная система,linux,it-юмор,geek,Прикольные гаджеты. Научный, инженерный и айтишный юмор
Еще на тему
Развернуть

Отличный комментарий!

Линукс: конечно установлю, вам нужно установить 6 зависимостей
Хорошо, ставь.
Для установки 6-ти зависимостей вам нужно установить 139 предыдущих зависимостей
Хорошо, ставь.
Линукс: установить хуйня-1.24 невозможно так как у вас уже установлена новая версия новая0хуйня-4.23, но это не удовлетворяет зависимость так как 25-ти летнее ПО не знает о "новая0хуйня"
AlligatorUA AlligatorUA16.06.202222:41ссылка
+112.8
Мак Ось:
- Можешь установить эту программу пятилетней давности?
- Неееет, она слишком старая!

Виндовс:
- Можешь установить эту программу 25-тилетней давности?
- Да, могу! Устанавливаю... Готово!

Линукс:
- Можешь установить эту программу 25-тилетней давности?
- Она уже установлена в систему.
Виндовс:
- Можешь установить эту программу 25-тилетней давности?
- Да, могу! Но запускаться она не будет. Установи библиотеку С++, фреймворк 2.5 и еще закинь fuckyou.DDL в system32
fuckyou.dll, а не ddl. и не обязательно сорить в system32, достаточно положить ее в одну папку с *.exe старой программы.
"и не обязательно сорить в system32"
Могу ошибаться, как с *.dll, но по моему это 50 на 50
Дефолтное поведение windows-программ при поиске библиотек:
- проверить, была ли dll уже загружена в память
- проверить, нет ли dll в списке известных библиотек в реестре HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\KnownDLLs

- если нет, то:
- поиск по графу зависимостей проекта
- поиск в по каталогу, из которого был вызван процесс
- и уже в последнюю очередь поиск в системном каталоге %system32%
Далеко не все бинарники берут библиотеки из своей папки.
Так речь о запуске и не шла.
Установить то установит.
осталось только понять зачем на современной машине ПО 25 летней давности, неужели ничего более полезного и технологичного с тех пор не выпустили? Или это просто идея ради идеи?

Я несколько раз пытался ставить старые игры на современный винпк, которые не оптимизировали гоги, там надо пройти девять кругов ада и в итоге всеравно все работает через трещину. А на форумах все до единого советуют просто для этих целей купить старый пк на 486 или на первом пне и не мучатся. Получается что с виндой это скорее пиздежь чем повседная реальность.

На современных маках есть проблема посложнее чем ПО 25 летней давности. Новая архитектура и несовместимость с ПО даже трехлетней давности. Но под их новый АРМ сегодня уже полно софта написано. Покрывает 95% задач.
Ретроигры? 25 лет назад был 97й, а это значит что это будет игра для Windows 95 и возможно только для неё, а по тому они даже на Windows 98 иногда не шли
Кардиомониторы fd5 передают привет
Например, ебучее легаси в виде рассчёта производственных норм написанное на Clipper'e.
Виндовс:
- Можешь установить эту программу 25-тилетней давности?
- Да, могу! Устанавливаю... дон!
Корлеоне?
well, can you uninstall it?
villy villy16.06.202222:26ответитьссылка 25.6
нет, мы едины
Часть команды, часть корабля…
Это про винду?
Можешь установить программу, которой 25 лет?
iOs: Неееет! Она от неизвестного автора! Ее нет в официальном Эпсторе!! Я сообщу об этом в репорте Apple!
Скорее так:
- Можешь установить эту 5-летнюю программу?
- Ну нет, она 32-битная, обратитесь к разработчику чтобы обновил
Ааа, сука аж зубы сводит от этого их перехода до сих пор.
Каким чудом под андроид существуют 25 летние программы? Учитывая что первый смарт на андроиде вышел в 2008.
Эмулятор DOS.
Тогда виноват эмулятор а не ОС
разве андроин де вариант линукса? да и мак-ос тоже из линкуса накроили
макось из скорее из фрибсд, и то там не чистое бсдшное ядро. А фряха это не линукс вообще ни разу, если что. В андроиде же линукусовое ядро, но как и в макоси, так и в андроиде - все пользовательские приложения ни к фряхе, ни к линуксу отношения не имеют. В андроиде вообще все внутри джавы крутится. Аналогично, кстати, в прошивке Playstation, начиная с третьей - там фрибсдшное ядро, но оно тоже только выполняет базовые функции поддержки железа, а поверх него уже свой софт написан.
тоже самое с консолями (не всеми, но большинством)
- Конечно она установлена, 25 летняя программа и есть твоя ОС
 4* (SB. L I know him. He’s i
Линукс: конечно установлю, вам нужно установить 6 зависимостей
Хорошо, ставь.
Для установки 6-ти зависимостей вам нужно установить 139 предыдущих зависимостей
Хорошо, ставь.
Линукс: установить хуйня-1.24 невозможно так как у вас уже установлена новая версия новая0хуйня-4.23, но это не удовлетворяет зависимость так как 25-ти летнее ПО не знает о "новая0хуйня"
>установить хуйня-1.24 невозможно так как у вас уже установлена новая версия новая0хуйня-4.23, но это не удовлетворяет зависимость так как 25-ти летнее ПО не знает о "новая0хуйня"
"Но я уже размазал ненужные тебе зависимости, которые тебе не нужны тонким слоем по всему диску"
Круче:
Для удовлетворения зависимостей маленькая_хуйня-1.24 - требуется удалить пол системы, которая реально к хуйне 1.24 не имеет никакого отношения.
> Устанавливаешь дистрибутив десятилетней давности.
> Не можешь поставить ни одной программы, потому что в репозитории один большой 404.

В линуксе с обратной совместимостью одна большая беда, а всякие попытки это решить какими нибудь флатпаками лишь множат страдания.
ха... я вот только сегодня поймал
E: Release file for http://www.deb-multimedia.org/dists/jessie/InRelease is expired (invalid since 190d 10h 0min 23s). Updates for this repository will not be applied.
FROM дистрибутив:двадцатипятилетняя-версия
RUN апт установить --да --сила двадцатипятилетнее-по
ENTRYPOINT /usr/bin/двадцатипятилетнее-по
--сила --ловкость --выносливость --восприятие
йопта скрипт закончить выполнение
по братски
error while loading shared libraries: libDedprojectCantCompileForYOurProcessos.so: cannot open shared object file: No such file or directory
И какой второй?
Потому что MS-DOS и Windows это две разные ОС? Все версии Windows после 98 основаны на Windows NT которая с DOS которая была под капотом у 95 и 98 не связана от слова никак.
Доёб чисто из рубрики "почему не читает перфокарты из коробки".
Да и потом игру пересобрали, и она уже замечательно ставилась новые Окна.
поправлю - миллениум тоже был на ядре 9х, так что это он был последней виндой после которой МС поняли что это надо закапывать и развивать NT
Потому же почему мне нужен эмулятор плейстейшн чтоб поиграть в Сифон фильтр и Тенчу
если ты задаёшь такой вопрос, то ты не поймёшь
я вот себе буквально позавчера ставил виртуалку с Win XP чтобы поиграть в Red Alert 2
Убогое лоу поли 3d против фантастического пиксельарта - ага
в третью тоже поиграть можно, но там столько всякой херни, начиная с картонного визуала, и заканчивая тем, что тем в что в компании тебе безальтернативно ставят тупорого NPC в компаньоны.
Я на 10ке играл в РА2 ты че?!
Я на десятке Tiberian Sun запускал, неужели с RA2 какие-то проблемы - он же еще свежее О_о
На сколько помню на семерке проблемы с RA2 были, ну как проблемы нужно было библиотеки установить и всё работало.
Господа, извольте я вставлю свои 95 копеек?
Так, здесь некромантия запрещена, отзывай своих зомби.
А смысл? на вин 7 себя хорошо чувствует, на вин 10 по хуже (совсем редко цветовая инверсия, плюс сворачивание = закрытие). Но тоже поиграть можно.
Потому что хочу. Скажем, я поиграл в второй вар лет этак в шесть и хочу окунуться в него заново - в озвучку, в отрубленную орочью руку в роли курсора, в взрывающихся бельков, в стратегию с буровыми платформами и подводными лодками.
Что в этом плохого?
но этот час нужен. надо иногда реализовывать свои желания (если они не нарушают закон) "просто потому что", иначе жизнь превращается в беспросветное говно, а мир становится унылым и неинтересным
я сказал свои мысли своими словами, потому что это из опыта. а если они повторили кого-то, мне поебать.
Посмотрим как ты запоешь в 30 и выше.
Особенно касательно культуры, что ты к этому возрасту столько всего перепробовал, что уже все "новое" это нихуя не новое, а лишь франкенштейн сотканный из того что ты уже тысячу раз видел. А что то старое ты уже и подзабыл и хочешь переосмыслить ибо допустим играл в последний раз будучи тупым пиздюком, да и ностальгия
А когда я говорю, что масс эффект из этой же категории, меня минусует толпа зумеров, для которых он стал игрой детства.
А будущего у нас нет!
А ты не охренел ли судить, кому и сколько играть в любимые lines'95? Моя воля - я б и динозаврика на загрузочный курсор поставил, и звуковую схему на "жил был пёс" поменял: ошибка - "щас спою"; критическая - "щас точно спою".
О, боевые картиночки.
Я не говорил, что было лучше - я говорил, что могу поностальгировать больше часа. Я не отказываюсь от десятки, я двумя руками за GPT. Но я против дебилов "Win Me мастдай", ибо аргументы у них уровня твоих.
Звуки хрен с ними, а вот песика в поисковике...
В смысле "хрен с ним", если ты мог поставить на загрузку/выключение винды фразы любимых персонажей просто из панели управления? Включаешь комп - а он тебе радуется.
мне кажется, этому треду не хватает этого клипа.
Пс, парень ;)
CPU ID : NHXOO Fentiun CPU Clock : 16611Hz Hath Coprocessor : Installed IDE Drive 0 : CD-RUN IDE Driue 1 : None IDE Drive Z : ZQ14 NB IDE Drive 3 : None Diskette Drive A : 1.44 NB 3.5-lnch Diskette Drive B : None Base Nenory 64B KB Extended Nenory : 481ZB KB Shadou RAN : 3B4 KB Internal
Иногда хочется перепройти что-то уже с полным набором патчей, на нормальном английском, с полным пониманием происходящего, без полукривой пиратской локализации, ломающей треть игры.

К счастью, таких людей много, и для многой годноты есть GOG (с которым возвращаться в вин95 уже не обязательно), или масштабные фанатские допилы вплоть до поддержки широких экранов, современых разрешений и спокойной работы в вин10.
У меня на компе перманентно стоит Симс первый, переодически захожу позалипать. Хотя по факту в Симс 2, 3, 4 и спиноффах намного больше контента, развитые механики и прочее. Новые игры ничем не хуже, но в каждой своя атмосфера, и такой как в оригинальной игре в других нет например
Потому что ты не Battle.net edition запускал, который работает и под вин10.
Вообще если душнить, то некоторые компоненты винды тянутся еще с винды 95. Поэтому в винде тоже установлены.
Да не то что некоторые - если слегка поскрести новомодный Settings из 10 и 11 то обнаружим панель управления прямиком из XP, а зайдя оттуда в настройки принтеров - здравствуй 95.
Принтеры это вообще какая-то машина времени переносящая тебя при любом взаимодействии на 20-30 лет назад.
И слава богу. Ибо менять ещё и парк принтеров при смене поколения железа из-за смены поколения ОС - ну вообще трындец по затратам.
Подсказка: совместимость можно оставить и без сохранения конченого вырвиглазного выкрутпальцного интерфейса из девяностых
Подсказка: старый интерфейс ни на что не влияет для тех, у кого старого железа нет и удобен для тех, у кого оно есть.
вот только "интерфейс из девяностых" сильно юзабельнее плиточного и пост-плиточного говнеца

чсх, в линуксах такой проблемы нет - та же kde5 ничем не хуже kde4
И я блять надеюсь что эту старую панель управления не выпилят в следующих версиях, потому что нормально что-то настроить через новую-красивую почти нереально.
Потому что они все еще не весь функционал из старой в новую перенесли. То тут то там все равно куски старого интерфейса даже в новой панели. А так в принципе я уже давно не пользовался классической панелью управления. В 11 всё нужное уже есть по сути.
"Потому что они все еще не весь функционал из старой в новую перенесли. "

Я с этого просто охуеваю. Сколько там десятке лет? Наверное лет 10 и есть, и за это время, блять, они нихуя не озаботились приведением интерфейса к общему знаменателю - ХОТЯ БЫ на уровне панели управления и "новых" системных настроек. Я уже молчу про всякие окна настроек свопа, которые тянутся из NT. Ептвашумать, я дико гнал на десятку на выходе, и во много она стала лучше с тех пор, но вот этот интерфейсный бардак как был, так и остался - просто пиздец.
Да и в 11й не особо продвинулись в этом плане.
В смысле поскрести? Его планомерно заменяли с момента выхода десятки функциями панели. И более того до сих пор почти все значимые настройки находятся в панели а в новых настройках нет нихуя полезного кроме отключения дефендора несмотря на все переносы
Но ведь именно за эту хуйню винду и любят же! Да, легаси как говна, да, можно выкинуть. Но кому нужна ОС в которой постоянно ломается ебучий софт? А вот когда ты в дриснятке или в одиннадцатой можешь запустить ПО прямиком из 90-ых и оно, блэт, даже работает, вот это да, вот это заебись. На маках в этом плане прям совсем больно...
На никсах, в принципе, собирается всё, но порой нужно знатно поебаться...
в винде тоже надо порой знатно посовокуплятся... например с подборкой версий драйверов на железки какие уже перестали поддерживать... . Да реже но бывает - вплоть до очередности установки дров и запрета некоторых обнов под винду... Я еще помню на сайте изготовителя ноута каждый БИОС под свою ОС от vista до 10 - а не обновил БИОС жопа с быстродействием - вплоть до тормозов ютуба в 2-5ФПС.
vi лет 40 поди назад был написан
до сих пор пользуют
Оригинальным vi никто не пользуется уже лет как очень много. Используют vim. И даже vim отмирает в пользу neovim.
Пользуются, когда на сервере нет нихера, кроме упавшего приложения, и vi, которым можно подправить конфиг.
Моё любимое: vi есть даже на цисковских коммутаторах, где с помощью него можно разве что заметки оставлять.
vi в телевизорах некоторых есть, причем телевизоры эти не самые старые
Ох вот это ты зря, клуб любителей подрочить на динозавров оскорбился знатно
Линукс:

Да, ты можешь установить эту программу, вот гайд.
Угу, пока не сталкиваешься с зависимостями.
Ну ща тупо проще старое говно запихать в докер и не ебать мозг себе.
И системы, которые хвалят за "зато я это на холодильнике запущу" превращаются в мастодонтов, с которыми они были призваны бороться, а не примыкать.
Так прикол в том что ты это и можешь поднять ее на холодосе, просто придется все по исходникам собирать самому. Просто достаточно глянуть на вот это дерево
https://en.m.wikipedia.org/wiki/List_of_Linux_distributions
Это если у тебя что-то одно конкретное. А если ты хочешь разного - то по требованиям к железу вполне себе винда получается.
По требованиям к железу линь намного лучше подобрать, какой нибудь перекомпилированный будет работать как часы без всякого лишнего говна, но вот в плане ПО винда местами тащит. Хотя принцип разные ОС для разных задач всегда тащил.
О том и речь. Либо ты долгими зимними вечерами собираешь свой линь - либо докеры, легко и быстро. Но есть ли тогда выигрыш по сравнению с виндой?

Это превращается в "а вот тут у нас 20 клиентов, а тут 30, а у одного есть специфический запрос, который раз в две недели вешает сеть" - и выигрыш линуха превращается в тыкву зачастую (по моему опыту, согласен на замену на "иногда").
Видимо специфика работы у тебя такая. У меня все наоборот, на линухе крутится все ПО и на нем же вся разработка ведется. В общем все зависит от задач, например контроллер домена делать на лине, ну такое себе.
    >но есть ли тогда выигрыш по сравнению с виндой?

потери производительности от контейнеризации - около 3-5 %. Да, конечно выигрыш есть.
А зачем тебе старое говно на холодосе? Если сильно надо, то качай исходники и собирай своё старое говно сам
или попробуй apt get на серваке, который отрезан от интернета в целях безопасности и хуй ты туда что поставишь, только копирование и настройка вручную с прописываем переменных окружений/путей/зависимостей только хардкор
если есть физический доступ к серверу - просто сделай зеркало на переносном диске и пропиши его в sources.list ¯\_(ツ)_/¯
Мне как виндовс пользователю изредка встречающему линукс тоже так казалось, а тут недавно одна программа затребовала java 7 версии, почитав какая жесть требуется чтоб поставить на новые дистрибутивы, как-то перехотелось. Проще в итогде ставить старый дистрибутив.
куча ФЛЭШЕК и вооля = для разового запуска ОС + ПО пойдёт 2-5 мин на загрузку. Или виртуальные машины - но некоторое ПО их не любит.
а для особых случаев с древними аппаратными ключами у моем мамы стоит пень третий с виндой и настроенным досом - для запуска античного ПО для пере конвертации в современный формат данных.
докер в помощь
Давно пользуюсь линуксом в качестве серверной ОС. Там всё более-менее устраивало всегда.
Недавно попробовал в качестве десктопной ОС различные дистрибутивы линукса. То, что в винде делал двумя кликами, в линуксе приходилось делать 15-тью командами в терминале. При этом постоянно возникали какие-то проблемы на ровном месте. Во время решения одной проблемы, возникала новая - это все напоминало снежный ком.
Не смотря на то, что я из тех людей, которые любит "попердолиться" с техникой, в какой-то момент я понял, что вместо выполнения нужных по работе задач, я только и делаю, что пердолюсь. Поэтому послал эту идею с линуксом к херам собачим.
у мну с линуксом обычно проблема - нет дров под древнее железо или есть но оперативно хер поставишь. Друг как-то на мать сата3 pci-exp контролер на второй слот на 775 сокет буквально двести часов ставил и таки смог... там в этом все района ИТшники поучаствовали. А в инде за 2-3 часа и все готово... но ему религия не позволяет Виндовс пользоваться.
Я использую Arch Linux
Это был каминг-аут?
Покажи на этой кукле где этот дистрибутив трогал тебя.
операционка должна больше заботиться о том чтобы пользователь получил желаемое а не о политике компании
Увы, но тогда мы приходим к "каждый отец семейства должен быть способен написать драйвер для видеоглазка в своей двери".
увы, но мы уже пришли к "видеоглазок твоей двери работает через сервера в гуаньчжоу и больше никак"
Наверное потому, что не каждый отец семейства способен написать драйвер.
вот бывает программа под 10 не запускатся и всё. ни сообщений ничего. не нравится - не буду запускать. а топор пытается её запустить
Что-то бред про Линукс, удачи запустить бинарник которому хотя бы год.
а в чём проблема?


Вот не обновлять систему, скажем, года три - чревато протуханием репозиториев и невозможностью что-то установить или обновить из реп. Придётся качать и, вероятно, компилять руками. Или искать старые версии пакетов, но это уже превращается в винда-лайк стиль "найди сам"

так то я помню чудесные времена подбирания версий мускуля, пехопе и апача. И модулей для апача.
Хотя и на линухе можно похожим заниматься, например подключая пехопе репы от ондрея на лтс дистр.
Удачи тебе поебаться с драйверами 10-летней давности и прийти к выводу, что единственный способ заставить работать устройство нормально, это поставить дистрибутив 10-летней давности.
пасибо. Я познал дзен и смирился. отваливается блютус клава? ну штош, провод всё ещё доступен...
Но моё рабочее окружения позволяет смирятся. Если бы отваливался какой-нить станок за килобаксы, то я поставил бы винду/дос/линукс и не возникал..
99% драйверов для ядра linux находятся в самом ядре linux и не ломаются со временем, никогда.

сломалось? это регрессия - пиши баг-репорты и жди фиксов.

тогда как в форточках могут сломать девайсину в пределах одной десяточки, ибо некрософт решил обновить модель драйвера
А самое печальное что на mac я перелез именно из-за их бесконечной поддержки. У тебя софтина под PowerPC? Без проблем, мы сделали совместимость, ты же не воскресишь разработчиков чтоб они под Intel переписали. Теперь же - мы выпилили поддержку 32 бит, а все так делают иди нахуй.
Только зарегистрированные и активированные пользователи могут добавлять комментарии.
Похожие темы

Похожие посты
Windows User Apple is shit GNU/Linux User Microsoft is shit Mac User noooooooooooo Windows User We knowДизайнеры Смотри, у нас Нееет! Ты украл одинаковые идеи мою работу Я украл твой код Это не мой
подробнее»

it-юмор geek,Прикольные гаджеты. Научный, инженерный и айтишный юмор Wojak,Вояк Мемы,Мемосы, мемасы, мемосики, мемесы Nordic Gamer,Yes Chad

Дизайнеры Смотри, у нас Нееет! Ты украл одинаковые идеи мою работу Я украл твой код Это не мой
ДЕВУШКИ С МАШИНОЙ ВРЕМЕНИ Я твоя внучка Правда? ПАРНИ С МАШИНОЙ ВРЕМЕНИ ЭТОТ РЕЛИЗ ПОЛОЖИТ ПРОДНАДВАДНЯ Я ЗНАЮ, МНЕ ПОХУЙ
подробнее»

it-юмор geek,Прикольные гаджеты. Научный, инженерный и айтишный юмор Nordic Gamer,Yes Chad Мемы,Мемосы, мемасы, мемосики, мемесы Trad Girl Wojak,Вояк Doomer Girl

ДЕВУШКИ С МАШИНОЙ ВРЕМЕНИ Я твоя внучка Правда? ПАРНИ С МАШИНОЙ ВРЕМЕНИ ЭТОТ РЕЛИЗ ПОЛОЖИТ ПРОДНАДВАДНЯ Я ЗНАЮ, МНЕ ПОХУЙ
йшрш © о>р»1щшршжса8 Я впервые вывела Ого, ты Hello world! молодец! 60Ц£Ш © 1Ц^®1Г|рШф1©Ш1ЯШ8 Я знаю ассемблер, написал свое ядро на чистом С, дать ссылку на репозиторий? Чувак, лучше дай мне мой заказ
подробнее»

программирование geek,Прикольные гаджеты. Научный, инженерный и айтишный юмор Nordic Gamer,Yes Chad Мемы,Мемосы, мемасы, мемосики, мемесы Trad Girl Wojak,Вояк Doomer Girl it-юмор

йшрш © о>р»1щшршжса8 Я впервые вывела Ого, ты Hello world! молодец! 60Ц£Ш © 1Ц^®1Г|рШф1©Ш1ЯШ8 Я знаю ассемблер, написал свое ядро на чистом С, дать ссылку на репозиторий? Чувак, лучше дай мне мой заказ
13yo me looking at the mirror I'm fucking ugly what's wrong with my face damn boy you're thanks king uglier than yesterday
подробнее»

без перевода Мемы,Мемосы, мемасы, мемосики, мемесы Wojak,Вояк Nordic Gamer,Yes Chad песочница

13yo me looking at the mirror I'm fucking ugly what's wrong with my face damn boy you're thanks king uglier than yesterday